// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: CalMOSResponse
// Author: Hassan Siddiqui
//
// Description: 
// Provides a clean interface to CAL response data.
// 
// Comments: 
//  
// Modifications: See ChangeLog
// 
// $Id: CalMOSResponse.h,v 1.1 2000/09/21 15:34:34 hsiddiqu Exp $

#ifndef CalMOSResponse_H
#define CalMOSResponse_H

// General classes

#include <string>
#include <iostream>
#include <vector>

// SAS-specific classes
#include "CalServer.h"
#include "Redistribution.h"

// Utility functions
#include "Tracer.h"

// Local classes
#include "CalResponse.h"

/********************************
 *
 * class CalMOSResponse
 *
 * Interface to Cal response data.
 *
 *********************************/

class CalMOSResponse : public CalResponse
{

public:

  /** Constructors */

  /* Provides the entire range of redistribution available from the CAL */
 
  CalMOSResponse ( unsigned minOutputChannel,
		   unsigned int nOutputChannels,
		   unsigned outputChannelWidth,
                   EventGrades eventGrade);

  /* Provides a restricted range */
  CalMOSResponse ( unsigned minOutputChannel,
		   unsigned nOutputChannels,
		   unsigned outputChannelWidth,
		   const BinnedAxis * ebins,
                   EventGrades eventGrade);
  
  /** Destructors */
  ~CalMOSResponse();

private:

  /** Convenience Method for initialisation */
  void init();
};

#endif




