// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: CalPNResponse
// Author: Hassan Siddiqui
//
// Description: 
// Provides a clean interface to CAL response data.
// 
// Comments: 
//  
// Modifications: See ChangeLog
// 
// $Id: CalPNResponse.h,v 1.2 2000/11/01 09:16:58 hsiddiqu Exp $

#ifndef CalPNResponse_H
#define CalPNResponse_H

// General classes

#include <string>
#include <iostream>
#include <vector>

// SAS-specific classes
#include "CalServer.h"
#include "Redistribution.h"

// Utility functions
#include "Tracer.h"

// Local classes
#include "CalResponse.h"
#include "PixCoords.h"

/********************************
 *
 * class CalPNResponse
 *
 * Interface to Cal response data.
 *
 *********************************/

class CalPNResponse : public CalResponse
{

public:

  /** Constructors */

  /* Provides the entire range of redistribution available from the CAL */
 
  CalPNResponse (  PixCoords cenRaw,
		   unsigned minOutputChannel,
		   unsigned nOutputChannels,
		   unsigned outputChannelWidth,
		   EventGrades eventGrade);

  /* Provides a restricted range */
  CalPNResponse (  PixCoords cenRaw,
		   unsigned minOutputChannel,
		   unsigned nOutputChannels,
		   unsigned outputChannelWidth,
		   const BinnedAxis * ebins,
		   EventGrades eventGrade);

  
  /** Destructors */
  ~CalPNResponse();

private:

  /** Convenience Method for initialisation */
  void init( PixCoords cenRaw );

};

#endif




